Power off a Kubernetes bare metal node

POST/v1/hosts/kubernetes_baremetal_nodes/{server_id}/power_off

You can switch a bare metal node off by sending a POST request to the /v1/hosts/kubernetes_baremetal_nodes/{server_id}/power_off endpoint. The server has to be specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server used for a node. To find it out, proceed to the relevant request.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/kubernetes_baremetal_nodes/pnel61bK/power_off"
{  "id": "pnel61bK",  "kubernetes_cluster_id": "w9aA6Bbv",  "kubernetes_cluster_node_id": "46dBLJa7",  "kubernetes_cluster_node_number": 50,  "rack_id": "GRb43naB",  "title": null,  "location_id": 1449,  "location_code": "location3001",  "status": "active",  "operational_status": "normal",  "power_status": "powering_off",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.150",  "public_ipv4_address": "169.254.0.150",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "kubernetes_baremetal_node",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 2,    "bandwidth_id": 21,    "bandwidth_name": "20000 GB",    "server_model_id": 62,    "public_uplink_id": 51,    "private_uplink_id": 52,    "server_model_name": "server-model-693",    "public_uplink_name": "Public 1 Gbps without redundancy",    "operating_system_id": 21,    "private_uplink_name": "Private 1 Gbps without redundancy",    "operating_system_full_name": "CentOS 7 x86_64"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:04:01Z",  "updated_at": "2026-05-28T07:04:02Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Power management operation already in process",  "code": "CONFLICT"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}